> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Process an asset PUT https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/assets/{asset_id}/files/{locale_code}/process Reference: https://contentful.com/developers/docs/references/content-management-api/assets/process-an-asset ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `asset_id` (string, required) — ID of the asset in form of a string - `locale_code` (string, required) — Locale for which files should be processed ### Headers - `X-Contentful-Version` (string, optional) — Version of the asset to process ## Response ### 204 No Content - Request successful, no content returned